task multiqc {

	Array[File] bamqc_zip

	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e
		mkdir -p /cromwell_root/tmp/bamqc

		for i in ${sep=" " bamqc_zip}
		do
		  tar -zxvf $i -C /cromwell_root/tmp/bamqc
		done

		multiqc /cromwell_root/tmp/
	
	>>>

	runtime {
		docker:docker
		cluster:cluster_config
		systemDisk:"cloud_ssd 40"
		dataDisk:"cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File multiqc_html = "multiqc_report.html"
		Array[File] multiqc_txt = glob("multiqc_data/*")
	}
}